<?php
App::uses('AppHelper', 'View/Helper');

class TransactionsHelper extends AppHelper {

	/**
	 * generate the transactions display name
	 * will try and load the related models name as defined in config
	 * or will fall back on imploding all the transaction item descriptions
	 *
	 * @param array transaction row array with related data and transaction items
	 * @return string the disply name for this transaction
	 */
	public function generateDisplayName($row) {
		// try to get the display name if set
		$displayName = Configure::read('EvTransactions.listing.displayField');

		if (! empty($displayName) || ! isset($displayName[$row['Transaction']['model']])) {
			$rowName = $displayName[$row['Transaction']['model']];

			$modelName = $row['Transaction']['model'];
			if (isset($row[$modelName][$rowName]) && ! empty($row[$modelName][$rowName])) {
				$display = $row[$modelName][$rowName];
			}
		}

		// not set try and just use the descriptions from the items
		if (! isset($display)) {
			$display = Hash::extract($row, 'TransactionsItem.{n}.description');
			$display = implode('<br>', $display);
		}

		// still not set, something's wrong, just set unknown
		if (! isset($display)) {
			$display = 'Unknown';
		}

		return $display;
	}

}
